<template>
  <div class="container mt-5">
    <div class="row" v-if="!submitted">
      <h1>Create Person</h1>
      <hr/>
      <div class="col-md-10">
        <div class="form-group row">
          <label for="adi" class="col-md-2 col-form-label">Adi</label>
          <div class="col-md-6">
            <input type="text" class="form-control" id="adi" required name="adi" v-model="person.adi">
          </div>
        </div>
        <br>
        <div class="form-group row">
          <label for="soyadi" class="col-md-2 col-form-label">Soyadi</label>
          <div class="col-md-6">
            <input type="text" class="form-control" id="soyadi" required name="soyadi" v-model="person.soyadi">
          </div>
        </div>
        <br>
        <div class="mb-3">
          <button @click="savePerson" class="btn btn-primary">Submit</button>
        </div>
      </div>
    </div>
    <div v-else>
      <div class="alert alert-success" role="alert">
        Save person successfully!
      </div>
      <button @click="newPerson" class="btn btn-primary">Add Person Person</button>
      |
      <button @click="persons" class="btn btn-outline-danger"> Person List</button>
    </div>
  </div>
</template>

<script>
import PersonService from "../services/PersonService";

export default {
  name: 'add-person',
  data() {
    return {
      person: {
        id: null,
        adi: "",
        soyadi: ""
      },
      submitted: false
    }
  },
  methods: {
    savePerson() {
      var data = {
        adi: this.person.adi,
        soyadi: this.person.soyadi
      }
      PersonService.create(data)
          .then(response => {
            this.person.id = response.data.id
            this.submitted = true;
          })
          .catch(e => {
            alert(e)
          })
    },
    newPerson() {
      this.submitted = false
      this.person = {}
    }
  },
  getPersons() {
    PersonService.getPersons().then((responce) => {
      this.persons = responce.data;
    });
  }
}
</script>